Subject: ANNOUNCE: Tom version 2.0
From: James Duncan <[email-masked]>
Date: 10 Sep 1997 21:11:14 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

About four months ago I posted an announcement for the Transportable
Object Model (Tom).  This went fairly unnoticed.  Now however, Tom has
been updated, modified, worked, etc, etc, etc. I would like to release it
on to CPAN once people have tried it out and given me some feedback. The
module and information regarding the module is available at
	http://www.hawk.igs.net/~jduncan/Tom/

The README follows.

--
James Duncan || [email-masked]
IGS Hawkesbury Systems Administrator
Phone 613-632-4075  Fax 613-632-8137
web http://www.hawk.igs.net/~jduncan

  	     Transportable Object Model (Tom) Kit for Perl

			     Version 2.00

			      ( beta 2 )

		 Copyright (c) 1997, James Duncan

    This program is free software; you can redistribute it and/or modify
    it under the terms of either:

	a) the GNU General Public License as published by the Free
	Software Foundation; either version 1, or (at your option) any
	later version, or

	b) the "Artistic License" which comes with this kit.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See either
    the GNU General Public License or the Artistic License for more details.

    You should have received a copy of the Artistic License with this kit,
    in the file named "Artistic".  If not, you can get one from the Perl
    distribution. You should also have received a copy of the GNU General
    Public License, in the file named "Copying". If not, you can get one
    from the Perl distribution or else write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

TOM Kit, Version 2.0 (Beta 2)
-----------------------------
This, the newest version of the TOM (Transportable Object Model) features an
enhancement significant enough over the original, as to warrant a new major
version.  

Tom will be completely re-written for version 2.0, including some major
security enhancements (yes, register will be secure).

At this point (Beta 2), the module is still very incomplete, however,
containers created with Beta 2 will be fully compatible up to final release.  I
do not intend on changing the internal structure of the model.

The major enhancement is the ability to define transportable objects rather 
than just classes - this is a major step forward in my eyes.

I now believe that Tom 2.0 Beta 2 is worth more than any Tom 1.x release,
and I would like to make it available on CPAN for Beta 3.

Changes since Beta 1
--------------------
+ Ability to securely register functions
+ Added require like Tom::demand package
+ You can now 'insert' an object into a container
  rather than 'declare_object'.
+ Checks for existing packages
+ Cleanup function added
+ Documentation updated.
+ Included old tomcc until cc is rewritten into Tom-2
+ Added simple streaming protocol to Tom.  I will re-write this into
  another file, with much more functionality soon.